do I need the mac box set- upgrade from os x 10.4.11 to use my new 3g iphone on my mac mini-I have all requirements-or can I just by the 29 version?

  • Asked about:  Mac OS X 10.6 Snow Leopard

No Answers have been submitted